%global momorel 1

Summary: A library implementation of the Media Transfer Protocol (MTP)
Name: libmtp
Version: 0.0.21
Release: %{momorel}m
License: LGPL
URL: http://libmtp.sourceforge.net/
Group: System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/libmtp/%{name}-%{version}.tar.gz 621b4590c3c0d09f3546ad67f39ef80b
Source1: %{name}.perms
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: udev, pam
BuildRequires: libusb-devel, doxygen

%description
libmtp is a LGPL library implementation of the Media Transfer Protocol (MTP), a superset of the Picture Transfer Protocol (PTP).

%package devel
Summary: Header files and static libraries from libmtp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on libmtp.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# install udev rules file
examples/hotplug -a"SYMLINK+=\"libmtp-%k\"" > libmtp.rules
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
install -m 644 libmtp.rules %{buildroot}%{_sysconfdir}/udev/rules.d/60-libmtp.rules

# install device permissions
mkdir -p %{buildroot}%{_sysconfdir}/security/console.perms.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/security/console.perms.d/60-libmtp.perms

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%config(noreplace) %{_sysconfdir}/udev/rules.d/60-libmtp.rules
%config(noreplace) %{_sysconfdir}/security/console.perms.d/60-libmtp.perms
%{_bindir}/mtp-*
%{_libdir}/libmtp.so.*

%files devel
%defattr(-,root,root)
%doc doc/html/*
%{_includedir}/libmtp.h
%{_libdir}/pkgconfig/libmtp.pc
%{_libdir}/libmtp.a
%{_libdir}/libmtp.la
%{_libdir}/libmtp.so

%changelog
* Tue Oct 24 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.21-1m)
- version 0.0.21

* Wed Aug 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.11-1m)
- initial package for amarok-1.4.2
